πŸ“ Neard Development Kit for everyone who wants to contribute!
Switch branches/tags
Clone or download
Latest commit 78117c8 May 25, 2018

README.md

Neard Development Kit

GitHub release Donate Paypal

About

This a sub-repo of Neard project involving the Development Kit required for everyone who wants to contribute!
Issues must be reported on Neard repository.

Requirements

Java SE Development Kit

The JDK includes tools useful for developing and testing programs written in the Java programming language and running on the Java platform.
You need at least the JDK 1.7.0_25 (7u25).
You can download the Java SE Development Kit on the Oracle website.
Add the path to java.exe (eg. C:\Program Files\Java\jdk1.7.0\bin) to your environment variable PATH.
To check if you have Java in your path, open a command prompt and type java -version :

java version "1.7.0_79"
Java(TM) SE Runtime Environment (build 1.7.0_79-b15)
Java HotSpot(TM) Client VM (build 24.79-b02, mixed mode, sharing)

Apache Ant

Apache Ant is a Java library and command-line tool that help building software.
You need at least Apache Ant 1.8.0.
You can download the binary zip archive of Apache Ant on the Apache website.
Extract the archive on your computer (eg. C:\apache-ant) and add the path to ant.bat (eg. C:\apache-ant\bin) to your environment variable PATH.
To check if you have Apache Ant in your path, open a command prompt and type ant -version :

Apache Ant(TM) version 1.8.4 compiled on May 22 2012

License

LGPL-3.0. See LICENSE for more details.
Icon credit to Juliia Osadcha.